package com.ruoyi.ibs.customerselect.domain;

import java.util.Date;

/**
 * 客户基本信息对象 custInfoUpdateFromAnchor
 *
 * @author ruoyi
 * @date 2024-10-29
 */

public class CustInfoUpdateFromAnchor {

    /** 客户类型 */
    private String custType;

    /** 客户id */
    private String custId;

    /** 证件类型 */
    private String custIdType;

    /** 锚点名称 */
    private String anchorName;

    /** 所在行业 */
    private String belongBusiness;

    /** 创建人 */
    private String updateBy;

    /** 创建机构 */
    private String updateOrg;

    /** 证件号 */
    private String legalId;

    /** 客户内码 */
    private String custIsn;

    /** 地址 */
    private String address;

    /** 详细地址 */
    private String addressDetail;

    /** 归属行政区划编码 */
    private String regionCode;

    /** 创建时间 */
    private Date updateTime;

    private String addressName;


    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustIdType() {
        return custIdType;
    }

    public void setCustIdType(String custIdType) {
        this.custIdType = custIdType;
    }

    public String getAnchorName() {
        return anchorName;
    }

    public void setAnchorName(String anchorName) {
        this.anchorName = anchorName;
    }

    public String getBelongBusiness() {
        return belongBusiness;
    }

    public void setBelongBusiness(String belongBusiness) {
        this.belongBusiness = belongBusiness;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateOrg() {
        return updateOrg;
    }

    public void setUpdateOrg(String updateOrg) {
        this.updateOrg = updateOrg;
    }

    public String getLegalId() {
        return legalId;
    }

    public void setLegalId(String legalId) {
        this.legalId = legalId;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
